Bug 965969 - [RFE] usage of --xattrs-exclude=MASK without --xattrs should warn
Summary: [RFE] usage of --xattrs-exclude=MASK without --xattrs should warn
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tar
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Pavel Raiskup
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-22 08:02 UTC by Petr Sklenar
Modified: 2014-06-13 12:30 UTC (History)
2 users (show)

Fixed In Version: tar-1.26-26.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:30:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Sklenar 2013-05-22 08:02:55 UTC
Description of problem:
RFE usage of  --xattrs-exclude=MASK without -xattrs should warn about missing option --xattrs

Version-Release number of selected component (if applicable):
tar-1.26-21.fc19.x86_64

Steps to Reproduce:
1. tar --xattrs-exclude=* -xf smth.tar


Actual results:
as I didn't specify --xattrs its extract but without xattrs

Expected results:
tar --xattrs-exclude=* -xf smth.tar
Warning: You didnt specify '--xattrs'

Additional info:
the same for --xattrs-include

Comment 2 Pavel Raiskup 2013-05-23 10:11:51 UTC
Proposal:
http://lists.gnu.org/archive/html/bug-tar/2013-05/msg00018.html

Comment 7 Ludek Smid 2014-06-13 12:30:13 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.